program NOD;
  var a,b:longint;
begin
  write('a,b=');readln(a,b);
  while a<>b do
    if a>b then a:=a-b
    else b:=b-a;
  writeln('НОД = ',a);
  writeln('Нажмите клавишу Enter ...');
  readln;
end.
